mb_convert_case
mb_convert_kana
Multibyte String Functions
PHP Manual

# mb_convert_encoding

(PHP 4 >= 4.0.6, PHP 5)

mb_convert_encoding — Convert character encoding

### Description

string mb_convert_encoding ( string `$str` , string `$to_encoding` [, mixed `$from_encoding` ] )

Converts the character encoding of string `str` to `to_encoding` from optionally `from_encoding`.

### Parameters

`str`

  The string being encoded.

`to_encoding`

  The type of encoding that `str` is being converted to.

`from_encoding`

  Is specified by character code names before conversion. It is either an array , or a comma separated enumerated list. If `from_encoding` is not specified, the internal encoding will be used.

  "auto" may be used, which expands to "ASCII,JIS,UTF-8,EUC-JP,SJIS".

### Return Values

The encoded string .

### Examples

Example #1 mb_convert_encoding() example

`<?php
/* Convert internal character encoding to SJIS */
$str = mb_convert_encoding($str, "SJIS");
/* Convert EUC-JP to UTF-7 */
$str = mb_convert_encoding($str, "UTF-7", "EUC-JP");
/* Auto detect encoding from JIS, eucjp-win, sjis-win, then convert str to UCS-2LE */
$str = mb_convert_encoding($str, "UCS-2LE", "JIS, eucjp-win, sjis-win");
/* "auto" is expanded to "ASCII,JIS,UTF-8,EUC-JP,SJIS" */
$str = mb_convert_encoding($str, "EUC-JP", "auto");
?>`

### See Also

- mb_detect_order() - Set/Get character encoding detection order

mb_convert_case
mb_convert_kana
Multibyte String Functions
PHP Manual